setwd("/Users/sebastian/Desktop")
#setwd("C:/Users/Sebastian/Desktop")

# read code block lengths
library(data.table)
code_blocks <- fread("java_answers_text_code_blocks_normalized_size.csv", header=TRUE, sep=",", quote="\"", strip.white=TRUE, showProgress=TRUE, encoding="UTF-8", na.strings=c("", "null"))

summary(code_blocks$line_count)
# Min. 1st Qu.  Median    Mean 3rd Qu.    Max. 
# 1.00    4.00    7.00   12.08   13.00  997.00

d <- density(code_blocks$line_count)
plot(d)

d <- density(code_blocks$line_count[code_blocks$line_count<=30])
plot(d)

quantile(code_blocks$line_count, 0.25)
# 25% 
# 4

median(code_blocks$line_count)
# 7

length(which(code_blocks$line_count>=6))/nrow(code_blocks)
# 0.6441396

length(which(code_blocks$line_count>6))/nrow(code_blocks)
# 0.5626813

#boxplot(code_blocks$line_count)
boxplot(code_blocks$line_count, outline=FALSE)

# DECISION: ignore snippets with less than 6 normalized lines (7 is median value)
