--- Status: 16.03.2017

--- Get most popular SO tags
SELECT *
FROM [bigquery-public-data:stackoverflow.tags]
ORDER BY count DESC;

=> so.tags

--- alternative:
--- get 100 most frequent tags for SO questions
SELECT
  tag, COUNT(id) as question_count
FROM (
  SELECT id, SPLIT(tags, "|") as tags
  FROM `bigquery-public-data.stackoverflow.posts_questions`
) as q_tags
CROSS JOIN UNNEST(tags) as tag
GROUP BY tag
ORDER BY question_count DESC
LIMIT 100;

=> so/tags_top100.csv
