#setwd("/Users/sebastian/Sebastian (DS)/Forschung/Projekte/Snippets/esem17/")
setwd("C:/Users/Sebastian/Desktop")

# read code block lengths
library(data.table)
files_size <- fread("java_files_content_filtered_normalized_size.csv", header=TRUE, sep=",", quote="\"", strip.white=TRUE, showProgress=TRUE, encoding="UTF-8", na.strings=c("", "null"))

summary(files_size$line_count)
# Min.  1st Qu.   Median     Mean  3rd Qu.     Max. 
# 1.00    10.00    27.00    69.85    68.00 33320.00

d <- density(files_size$line_count)
plot(d)

d <- density(files_size$line_count[files_size$line_count<=1000])
plot(d)

d <- density(files_size$line_count[files_size$line_count<=200])
plot(d)

quantile(files_size$line_count, 0.75)
# 75% 
# 68 

mean(files_size$line_count)
# 69.85038

length(which(files_size$line_count>=68))/nrow(files_size)
# 0.2511431

length(which(files_size$line_count>68))/nrow(files_size)
# 0.2477049

#boxplot(files_size$char_count)
boxplot(files_size$line_count, outline=FALSE)
boxplot(files_size$line_count[files_size$line_count>=68], outline=FALSE)

# DECISION: ignore files with less than 68 normalized lines (68 is 75% quantile and 69.85038 is mean value)
