setwd("/Users/sebastian/Sebastian (DS)/Forschung/Projekte/Snippets/esem17")
#setwd("C:/Users/Sebastian/Desktop")

# read code block lengths
library(data.table)
code_blocks <- fread("java_answers_text_code_blocks_normalized_score.csv", header=TRUE, sep=",", quote="\"", strip.white=TRUE, showProgress=TRUE, encoding="UTF-8", na.strings=c("", "null"))

summary(code_blocks$score)
# Min. 1st Qu.  Median    Mean 3rd Qu.    Max. 
# -28.00    0.00    1.00    2.66    2.00 8194.00 

d <- density(code_blocks$score)
plot(d)

d <- density(code_blocks$score[code_blocks$score<=10])
plot(d)

d <- density(code_blocks$score[code_blocks$score<=10 & code_blocks$score>=-5])
plot(d)

length(which(code_blocks$score<0))/nrow(code_blocks)
# 0.01906797

length(which(code_blocks$score==0))/nrow(code_blocks)
# 0.4100212

length(which(code_blocks$score==1))/nrow(code_blocks)
# 0.2536831

length(which(code_blocks$score<=1))/nrow(code_blocks)
# 0.6827723

length(which(code_blocks$score>=10))/nrow(code_blocks)
# 0.04057784

length(which(code_blocks$score>10))/nrow(code_blocks)
# 0.0361742

#boxplot(code_blocks$score)
boxplot(code_blocks$score, outline=FALSE)

# DECISION: ignore snippets with a score of less than 10
