#setwd("/Users/sebastian/Sebastian (DS)/Forschung/Projekte/Snippets/esem17/")
setwd("C:/Users/Sebastian/Desktop")

# read code block lengths
library(data.table)
repos <- fread("java_repos_file_count.csv", header=TRUE, sep=",", quote="\"", strip.white=TRUE, showProgress=TRUE, encoding="UTF-8", na.strings=c("", "null"))

summary(repos$file_count)
# Min.  1st Qu.   Median     Mean  3rd Qu.     Max. 
# 1.00     4.00    12.00    73.55    37.00 70120.00 

d <- density(repos$file_count)
plot(d)

d <- density(repos$file_count[repos$file_count<=100])
plot(d)

d <- density(repos$file_count[repos$file_count<=20])
plot(d)

quantile(repos$file_count, 0.25)
# 25% 
# 4

length(which(repos$file_count>=4))/nrow(repos)
# 0.7844935

length(which(repos$file_count>4))/nrow(repos)
# 0.7363857

#boxplot(repos$file_count)
boxplot(repos$file_count, outline=FALSE)
boxplot(repos$file_count[repos$file_count>4], outline=FALSE)

# DECISION: ignore repos with less than 5 files (4 is 25% quantile)
