#setwd("/Users/sebastian/Sebastian (DS)/Forschung/Projekte/Snippets/esem17/")
setwd("C:/Users/Sebastian/Desktop")

# read code block lengths
library(data.table)
repos <- fread("java_repos_watcher_count.csv", header=TRUE, sep=",", quote="\"", strip.white=TRUE, showProgress=TRUE, encoding="UTF-8", na.strings=c("", "null"))

summary(repos$watcher_count)
# Min.  1st Qu.   Median     Mean  3rd Qu.     Max. 
# 0.00     0.00     0.00    16.17     1.00 43540.00 

d <- density(repos$watcher_count)
plot(d)

d <- density(repos$watcher_count[repos$watcher_count<=100])
plot(d)

d <- density(repos$watcher_count[repos$watcher_count<=15])
plot(d)

median(repos$watcher_count)
# 0

length(which(repos$watcher_count>0))/nrow(repos)
# 0.3543444

#boxplot(repos$watcher_count)
boxplot(repos$watcher_count, outline=FALSE)
boxplot(repos$watcher_count[repos$watcher_count>0], outline=FALSE)

# DECISION: ignore repos with less than 1 watcher (0 is median value)
