SELECT file_id, so_link, line
FROM `so-snippets.gh_java.files_content_links_so_aq` l
INNER JOIN `so-snippets.gh_java.files_sample` s
ON l.file_id = s.id;

=> gh_java.files_sample_links_so_aq


SELECT file_id, so_link
FROM `so-snippets.gh_java.files_sample_links_so_aq`
GROUP BY file_id, so_link;


SELECT file_id, so_link
FROM `so-snippets.gh_java.files_sample_links_so_aq`
WHERE REGEXP_CONTAINS(so_link, r'http:\/\/stackoverflow\.com\/a\/([\d]+)')
GROUP BY file_id, so_link;

SELECT file_id, so_link
FROM `so-snippets.gh_java.files_sample_links_so_aq`
WHERE REGEXP_CONTAINS(so_link, r'http:\/\/stackoverflow\.com\/q\/([\d]+)')
GROUP BY file_id, so_link;

SELECT COUNT(DISTINCT so_link)
FROM `so-snippets.gh_java.files_sample_links_so_aq`
WHERE REGEXP_CONTAINS(so_link, r'http:\/\/stackoverflow\.com\/a\/([\d]+)')

SELECT COUNT(DISTINCT so_link)
FROM `so-snippets.gh_java.files_sample_links_so_aq`
WHERE REGEXP_CONTAINS(so_link, r'http:\/\/stackoverflow\.com\/q\/([\d]+)')

SELECT COUNT(DISTINCT id)
FROM `so-snippets.gh_java.files_sample`

SELECT COUNT(DISTINCT file_id)
FROM `so-snippets.gh_java.files_sample_links_so_aq`


SELECT COUNT(DISTINCT repo_name)
FROM `so-snippets.gh_java.files_sample` s
LEFT JOIN (
  SELECT
    id, fc.repo_name as repo_name
  FROM
    `so-snippets.gh_java.files_content` fc
  INNER JOIN
    `so-snippets.gh_java.repos_filtered` r
  ON
    fc.repo_name = r.repo_name
) as f
ON s.id = f.id

SELECT COUNT(DISTINCT repo_name)
FROM `so-snippets.gh_java.files_sample_links_so_aq` s
LEFT JOIN (
  SELECT
    id, fc.repo_name as repo_name
  FROM
    `so-snippets.gh_java.files_content` fc
  INNER JOIN
    `so-snippets.gh_java.repos_filtered` r
  ON
    fc.repo_name = r.repo_name
) as f
ON s.file_id = f.id

