--- scripts used to export data for the supplementary material

-------------------------------------------------------------
--- so_java.answers_text_code_blocks_duplicates
-------------------------------------------------------------
SELECT code_block_hash, post_count, code_block, ARRAY_TO_STRING(ARRAY_AGG(CAST(post_id AS STRING)), " ") AS post_ids
FROM `so-snippets.so_java.answers_text_code_blocks_duplicates`
CROSS JOIN
UNNEST(post_ids) AS post_id
GROUP BY code_block_hash, post_count, code_block
ORDER BY post_count DESC;

=> so_java.answers_text_code_blocks_duplicates_ => so/java/answers_text_code_blocks_duplicates.csv

-------------------------------------------------------------
--- so_java.answers_text_code_blocks_normalized_duplicates
-------------------------------------------------------------
SELECT code_block_hash, post_count, code_block, ARRAY_TO_STRING(ARRAY_AGG(CAST(post_id AS STRING)), " ") AS post_ids
FROM `so-snippets.so_java.answers_text_code_blocks_normalized_duplicates`
CROSS JOIN
UNNEST(post_ids) AS post_id
GROUP BY code_block_hash, post_count, code_block
ORDER BY post_count DESC;

=> so_java.answers_text_code_blocks_normalized_duplicates_ => so/java/answers_text_code_blocks_normalized_duplicates.csv

-------------------------------------------------------------
--- so_java.answers_text_links 
-------------------------------------------------------------
SELECT post_id, ARRAY_TO_STRING(ARRAY_AGG(link), " ") AS links
FROM `so-snippets.so_java.answers_text_links`
CROSS JOIN
UNNEST(links) AS link
GROUP BY post_id;

=> so_java.answers_text_links_ => so/java/answers_text_links.csv

-------------------------------------------------------------
--- gh_java.files_content
-------------------------------------------------------------
SELECT id, repo_name, path
FROM `so-snippets.gh_java.files_content`;

=> gh_java.files_content_ => gh/java/files_content.csv

-------------------------------------------------------------
--- gh_java.files_content_filtered
-------------------------------------------------------------
SELECT id
FROM `so-snippets.gh_java.files_content_filtered`;

=> gh_java.files_content_filtered_ => gh/java/files_content_filtered.csv




